package search

import "context"

type Result struct {
	Title       string
	URL         string
	Description string
}

type Search interface {
	Search(ctx context.Context, query string) ([]Result, error)
}
